package cz.cvut.kbss.bookstore.dao;

import cz.cvut.kbss.bookstore.bo.Book;
import cz.cvut.kbss.bookstore.bo.User;
import java.util.List;
import org.springframework.stereotype.Component;

/**
 * Data access object for Books.
 */
@Component
public class BookDao extends BaseDao<Book, Long> {

    public BookDao() {
        super(Book.class);
    }

    public List<Book> getBooksByUser(User user) {
        return em.createQuery("SELECT b FROM Book b WHERE b.owner = :owner", Book.class).setParameter("owner", user).getResultList();
    }
}
