package cz.cvut.kbss.bookstore.service;

import cz.cvut.kbss.bookstore.config.PersistenceConfig;
import cz.cvut.kbss.bookstore.config.ServiceConfig;
import org.junit.runner.RunWith;
import org.springframework.test.annotation.DirtiesContext;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.transaction.annotation.Transactional;

@RunWith(SpringJUnit4ClassRunner.class)
// Spring context configuration in classes instead of applicationContext.xml
@ContextConfiguration(classes = {PersistenceConfig.class, ServiceConfig.class})
// Reset Spring context after each test. This way we always start with brand new beans and a clean database
@DirtiesContext(classMode = DirtiesContext.ClassMode.AFTER_EACH_TEST_METHOD)
@Transactional(transactionManager = "txManager") //extend the transactions to whole tests in order to rollback the tests
public abstract class AbstractServiceTest {

}
